## ----setup, include=FALSE-----------------------------------------------------
knitr::opts_chunk$set(echo = TRUE)

## -----------------------------------------------------------------------------
library(MultiModalGraphics)
# Example usage:
filepath <- system.file("extdata", "twoD_graphics.csv", package = "MultiModalGraphics")
data <- read.csv(filepath)

# Create a MultifeatureGrid object
mg <- MultifeatureGrid(data,breaks = seq(-3, 3, 1))

plot_heatmap(mg,  independantVariable = "timePoint")


# Create the heatmap

heatmap_obj <- MultifeatureGrid(data, title = "Trauma Exposure and Post-Trauma Days",
                                x_label = "Brain Region",
                                y_label = "Neuronal Signaling, Synaptic Plasticity and Neurogenesis",
                                logpval_label = "-log10(p-value)",
                                zscore_label= "Activation z-score",
                                numitems_label ="Number of Genes",
                                color_palette = "PuOr", breaks = seq(-3, 3, 1))

## ----plot-heatmap, fig.width=10, fig.height=8---------------------------------
plot_heatmap(heatmap_obj, pValueColumn = "p", lowColor = "yellow", highColor = "red",
             borderColor="grey60", columnForNumber = "number_of_genes",  independantVariable = "timePoint")

